<MorpheusModel version="4">
    <Description>
        <Title>Wavepinning_in2D</Title>
        <Details>Full title:		Wave-Pinning
Authors:		L. Edelstein-Keshet
Contributors:	Y. Xiao
Date:		22.06.2022
Software:		Morpheus (open-source). Download from https://morpheus.gitlab.io
Model ID:		https://identifiers.org/morpheus/M2011
File type:		Supplementary model
Reference:		L. Edelstein-Keshet: Mathematical Models in Cell Biology
Comment:		Square domain stimulated at one corner. 2 PDEs for active and inactive GTPase with conservation, leading to wave-pinning in a 2D domain. Credit: Lutz Brusch, for an earlier version of this code in 1D.</Details>
    </Description>
    <Global>
        <Constant symbol="L" value="dx*size.x"/>
        <Function symbol="y">
            <Expression>dx*space.y</Expression>
        </Function>
        <Function symbol="x">
            <Expression>dx*space.x</Expression>
        </Function>
        <Field symbol="a" name="active GTPase" value="2*exp(-(x^2+y^2)/10)">
            <Diffusion rate="0.01"/>
        </Field>
        <Field symbol="i" name="inactive GTPase" value="2">
            <Diffusion rate="1"/>
        </Field>
        <System time-step="1" solver="Runge-Kutta [fixed, O(4)]">
            <DiffEqn symbol-ref="a">
                <Expression> i*(b+gamma*a^n/(1+a^n))- a  </Expression>
            </DiffEqn>
            <DiffEqn symbol-ref="i">
                <Expression> -i*(b+gamma*a^n/(1+a^n))+ a</Expression>
            </DiffEqn>
            <Constant symbol="gamma" value="1"/>
            <Constant symbol="n" value="2"/>
            <Function symbol="b" name="stimulus">
                <Expression>0.067</Expression>
            </Function>
        </System>
    </Global>
    <Space>
        <Lattice class="square">
            <Size symbol="size" value="100, 100, 0"/>
            <BoundaryConditions>
                <Condition type="noflux" boundary="x"/>
                <Condition type="noflux" boundary="-x"/>
                <Condition type="noflux" boundary="y"/>
                <Condition type="noflux" boundary="-y"/>
            </BoundaryConditions>
            <NodeLength symbol="dx" value="0.1"/>
            <Neighborhood>
                <Order>1</Order>
            </Neighborhood>
        </Lattice>
        <SpaceSymbol symbol="space"/>
    </Space>
    <Time>
        <StartTime value="0"/>
        <StopTime value="500"/>
        <TimeSymbol symbol="t" name="time"/>
    </Time>
    <Analysis>
        <!--    <Disabled>
        <Logger time-step="1">
            <Input>
                <Symbol symbol-ref="a"/>
                <Symbol symbol-ref="i"/>
                <Symbol symbol-ref="L"/>
            </Input>
            <Output>
                <TextOutput/>
            </Output>
            <Plots>
                <Plot time-step="15" title="Spatial profiles">
                    <Style decorate="true" line-width="3.0" style="points"/>
                    <Terminal terminal="png"/>
                    <X-axis>
                        <Symbol symbol-ref="x"/>
                    </X-axis>
                    <Y-axis maximum="2" minimum="0">
                        <Symbol symbol-ref="a"/>
                        <Symbol symbol-ref="i"/>
                    </Y-axis>
                    <Range>
                        <Time mode="current"/>
                    </Range>
                </Plot>
                <Plot time-step="40" title="Time-space plot">
                    <Style style="points"/>
                    <Terminal terminal="png"/>
                    <X-axis>
                        <Symbol symbol-ref="x"/>
                    </X-axis>
                    <Y-axis>
                        <Symbol symbol-ref="y"/>
                    </Y-axis>
                    <Color-bar>
                        <Symbol symbol-ref="a"/>
                    </Color-bar>
                </Plot>
            </Plots>
        </Logger>
    </Disabled>
-->
        <Gnuplotter time-step="50">
            <Plot title="active GTPase">
                <Field isolines="5" symbol-ref="a"/>
            </Plot>
            <Terminal name="png"/>
        </Gnuplotter>
        <ModelGraph format="svg" reduced="false" include-tags="#untagged"/>
    </Analysis>
</MorpheusModel>
